# Generated from json-mapping-transform-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name json-mapping-transform

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Map one JSON format into another JSON format
License: MIT
URL: https://github.com/aparande/json-mapping-transform
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(redcarpet)
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(yard)
BuildArch: noarch

%description
When building data pipelines, it is often useful to extract and transfrom data
from an input JSON and output it in a different format. The standard process
for doing this in Ruby is to write a series of if-else logic coupled with
for-loops. This code ends up being largely redundant, confusing, and difficult
to maintain or change. This Gem provides an easy and extensible solution to
this problem by allowing you to define your mapping in YAML and apply it to
any JSON object in a single line of code.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/json-mapping-transform.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.0-1
- Initial package
